Bug 889517 - Shortcut key for Chinese/English input switch is not configurable
Shortcut key for Chinese/English input switch is not configurable
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 10:01 EST by Tommy He
Modified: 2013-05-01 23:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-01 23:21:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tommy He 2012-12-21 10:01:56 EST
Description of problem:

Currently the default shortcut key to switch between Chinese and English input in libpinyin is SHIFT. There's no way to assign another key in configuration panel.

On other OSs there are Chinese input method using aother key such as Ctrl to switch between Chinese/English. For the users who have been using those input method will probably need an option to config the shortcut key.

Version-Release number of selected component (if applicable):
libpinyin-0.8.0-2.fc18.x86_64
ibus-libpinyin-1.4.93-4.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Select (汉语)(Intelligent Pinyin) as a Input Source in g-c-c Language & Region module
2. Click the Configuration button on the bottom right side. 
3. Play around the configuration panel.
  
Actual results:
There isn't an option to config the Chinese/English switch key SHIFT

Expected results:
There should be option to allow user to assign other key besides SHIFT.

Additional info:
Comment 1 Peng Wu 2012-12-29 21:58:33 EST
After discussed with Tommy He, will provide the option to use SHIFT or CTRL key to switch Chinese/English mode in /usr/libexec/ibus-setup-libpinyin.
Comment 2 Peng Wu 2012-12-30 22:53:33 EST
Code landed in https://github.com/epico/ibus-libpinyin.
Comment 3 Ma Hsiao-chun 2013-01-22 00:06:06 EST
Dear reporter,

Though it is not a big deal, please distinguish between libpinyin [1] and ibus-libpinyin [2].
I don't think libpinyin itself has anything to do with switch key.
For ibus-libpinyin, it started as a fork of ibus-pinyin and the problem you mentioned exists in ibus-pinyin for long [3].

1. https://github.com/libpinyin/libpinyin
2. https://github.com/libpinyin/ibus-libpinyin
3. https://code.google.com/p/ibus/issues/detail?id=115
Comment 4 Tommy He 2013-01-22 00:26:12 EST
(In reply to comment #3)
> Dear reporter,
> 
> Though it is not a big deal, please distinguish between libpinyin [1] and
> ibus-libpinyin [2].
> I don't think libpinyin itself has anything to do with switch key.
> For ibus-libpinyin, it started as a fork of ibus-pinyin and the problem you
> mentioned exists in ibus-pinyin for long [3].
> 
> 1. https://github.com/libpinyin/libpinyin
> 2. https://github.com/libpinyin/ibus-libpinyin
> 3. https://code.google.com/p/ibus/issues/detail?id=115

Per your suggestion, correct Component.
Comment 5 Peng Wu 2013-05-01 23:21:24 EDT
Checked with ibus-libpinyin 1.6.91, the option added.
Close bug.

Note You need to log in before you can comment on or make changes to this bug.